Bug 442905 - yaboot builds against binary copy of libext2fs.a
yaboot builds against binary copy of libext2fs.a
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: yaboot (Show other bugs)
3.9
All Linux
low Severity low
: ---
: ---
Assigned To: Roman Rakus
James Laska
:
Depends On: 442904
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-17 11:03 EDT by Ric Wheeler
Modified: 2014-01-12 19:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-06 09:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-04-17 11:03:19 EDT
+++ This bug was initially created as a clone of Bug #442904 +++

We don't build yaboot completely from source -- in versions <= 1.3.13, the
"source" tarball contains a prebuilt copy of libext2fs.a, which we were using.

Version 1.3.14 builds against the system's static libext2fs.a. That also
concerns me a little -- yaboot is far from being a standard environment; we
build with -nostdlib etc.  But it seems to work.
Comment 2 Roman Rakus 2010-05-06 09:39:06 EDT
Fixed in all newer RHELs. (or at least filed a bug)

Note You need to log in before you can comment on or make changes to this bug.